Skip to main content
PUT
/
v1
/
people
/
{id}
Update a person
curl --request PUT \
  --url https://api.metal.ai/v1/people/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <api-key>' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "currentTitle": "<string>",
  "currentCompanyName": "<string>",
  "company": "<string>",
  "linkedinUrl": "<string>",
  "phoneNumber": "<string>",
  "location": {
    "city": "<string>",
    "state": "<string>",
    "country": "<string>"
  },
  "externalId": "<string>"
}
'
{
  "data": {
    "id": "665f1c2a9b1e4a0012a3b4c5",
    "firstName": "Jordan",
    "lastName": "Rivera",
    "email": "jordan@example.com",
    "currentTitle": "Chief Executive Officer",
    "currentCompanyName": "<string>",
    "company": "<string>",
    "linkedinUrl": "<string>",
    "phoneNumber": "<string>",
    "location": {
      "city": "<string>",
      "state": "<string>",
      "country": "<string>"
    },
    "externalId": "<string>",
    "externalReference": {
      "source": "<string>",
      "id": "<string>"
    },
    "enrichment": {
      "subsector": [
        {
          "value": "Self-Funded Health Insurance / Third Party Administrator (TPA)",
          "source": "CIM",
          "confidence": 100,
          "pinned": true,
          "discoveredAt": "2026-02-14T10:00:00Z"
        },
        {
          "value": "Third-Party Administrators (TPAs)",
          "source": "Market Report",
          "confidence": 57,
          "pinned": false,
          "discoveredAt": "2026-01-20T10:00:00Z"
        }
      ]
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-metal-client-id
string
header
required

The Client ID of your API key.

x-metal-api-key
string
header
required

The secret value of your API key.

Path Parameters

id
string
required

The person id.

Body

application/json

Fields to update on a person. Provide only what you want to change.

firstName
string
lastName
string
email
string
currentTitle
string
currentCompanyName
string
company
string

The id of the company to link this person to.

linkedinUrl
string
phoneNumber
string
location
object
externalId
string

Response

A person.

data
object

A person record. Attributes such as currentTitle, currentCompanyName, and linkedinUrl can be populated by enrichment; the enrichment field exposes the discovered values and citations behind each reconciled attribute. See the Enrichment and Reconciliation & ranking guides.